VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "VB6_IDE_XP_STYLE"
   ClientHeight    =   4380
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4875
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   177
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4380
   ScaleWidth      =   4875
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdIDEOff 
      Caption         =   "Turn my VB6 IDE to standard style"
      Height          =   495
      Left            =   720
      TabIndex        =   2
      Top             =   2280
      Width           =   3255
   End
   Begin VB.CommandButton cmdIDEOn 
      Caption         =   "Turn my VB6 IDE to XP style"
      Height          =   495
      Left            =   720
      TabIndex        =   1
      Top             =   1560
      Width           =   3255
   End
   Begin VB.Label lblAbout 
      BackStyle       =   0  'Transparent
      Caption         =   "Visit http://www.audiocdtools.com/developers   Advanced and Ready to use GUI for Visual Basic developers."
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   178
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00808080&
      Height          =   690
      Left            =   240
      TabIndex        =   3
      Top             =   3600
      Width           =   4005
   End
   Begin VB.Label lblSescription 
      Caption         =   $"frmMain.frx":0000
      Height          =   975
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   4335
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

'***************************************************
'This an example of adding XP visual style to VB program using the manifest file.

'The trick is very simple, all you need is to put the
'Manifest file ('VB6.EXE.Manifest') under the VB6 IDE directory,
'then reopen the VB6 IDE and... that's it.
'
'Yo can find the VB6.EXE.Manifest file
'under the directory of this sample.
'
'http://www.audiocdtools.com/developers.
'VbGUI.ocx Advanced and Ready to use GUI for
'Visual Basic developers.
'
'***************************************************

Option Explicit

Private Reg As RegistryRoutines

'Get the vb6 path
Private Function GetVBDir() As String

Set Reg = New RegistryRoutines
Reg.hkey = HKEY_LOCAL_MACHINE
Reg.KeyRoot = "SOFTWARE\Microsoft\VisualStudio\6.0"

Dim sVS_Path As String

sVS_Path = Reg.GetRegistryValue("InstallDir")

GetVBDir = Mid(sVS_Path, 1, InStr(1, sVS_Path, "\Common\IDE\IDE98")) & "VB98"

Set Reg = Nothing

End Function


'Check if the manifest file is already existing
'just to know if the IDE already runs with XP style.
Private Function IsIdeAsXP() As Boolean

If Dir(GetVBDir & "\VB6.EXE.Manifest") <> "" Then
    IsIdeAsXP = True
End If

End Function

'Turn-off the style XP interface by
'deleting the manifest file.
Private Sub cmdIDEOff_Click()

Kill GetVBDir & "\VB6.EXE.Manifest"

MsgBox "Reopen the VB6 IDE now...", vbInformation

Unload Me

End Sub

'Turn-on the style XP interface by adding the manifest file
'to the VB6 directory.
Private Sub cmdIDEOn_Click()

FileCopy App.Path & "\VB6.EXE.Manifest", GetVBDir & "\VB6.EXE.Manifest"

MsgBox "Reopen the VB6 IDE now...", vbInformation

Unload Me

End Sub

Private Sub Form_Load()

cmdIDEOn.Enabled = Not IsIdeAsXP
cmdIDEOff.Enabled = IsIdeAsXP

End Sub
